.chat-wrapper {
  flex-grow:1;
  display: flex;
  flex-direction: column;
  border-top:1px solid #fafafa;
  border-left:1px solid #fafafa;
  border-right:1px solid #fafafa;
  background: white;
  .chat-header {
    padding: 10px;
  }

  height: 420px;
  .chat-window {
    flex-grow: 1;
    max-width: 519px;
    padding: 10px;
    display: flex;
    flex-direction: column;
    border-top:1px solid #fafafa;
    overflow-y: scroll;
    background-color:whitesmoke
    

  }
  .chat-window::-webkit-scrollbar {
    display: none; 
  }
  .sender {
    display: flex;
    height: 80px;
    flex-shrink: 0;
    align-items: stretch;
    input, button {
      height: 100%;
    }
  }

  .item {
    padding:5px 0;
    display: flex;
    flex-shrink: 0;
    .avatar {
      font-weight: bolder;
      margin-right:10px;
    }
    .mss-word {
      max-width:300px;
      word-break: break-word;
      background: #e4f3e4;
      padding:3px 5px;
      border-radius: 4px;
    }
  }

  .self-item {
    .mss-word {
      margin-right:10px;
    }
    align-self: flex-end;
  }
  .message-timestamp {
    display: block;
    color: #B5BCC2;
    text-align: center;
    font-size: 12px;
  }

  .failed {
    .failed-mark {
      color:#e74c3c;
      font-weight: 700;
      margin-right: 10px;
    }
  }
}